Page 1 of 1

[Solved] Screenlets "ghost update"

Posted: Sat Jun 09, 2018 6:06 pm
by dreamer
I have screenlets 0.1.2-8.1 (Debian package) installed. Sometimes there is a screenlets "ghost update". Sometimes the system (MX Updater, Synaptic, terminal) tells me there is an update (screenlets) held back. However I can't install this update. I have tried both apt upgrade and apt dist-upgrade without success.

:hot:

Re: Screenlets "ghost update"

Posted: Sat Jun 09, 2018 6:10 pm
by rich
There's something up with the package in mx repo

I believe when the recommended packages were added as dependencies at least one of them is no longer in repo (python-gmenu). Before it would install but now that this unavailable package is required it won't.

Just hang tight, it'll be sorted out

Re: Screenlets "ghost update"

Posted: Sat Jun 09, 2018 6:20 pm
by dreamer
rich wrote:
Sat Jun 09, 2018 6:10 pm
There's something up with the package in mx repo
Thanks, good to know (that it isn't just my system).

Re: Screenlets "ghost update"

Posted: Sun Jun 10, 2018 7:06 pm
by Stevo
I forwardported python-gmenu from Jessie and cut out a few dependencies that aren't available in Stretch. The fixed version should be available in the MX 17 repo soon. However, this brings up the question of what version was already installed, since the MX 17 version was not installable until this fix.

Re: Screenlets "ghost update"

Posted: Mon Jun 11, 2018 6:09 pm
by dreamer
Stevo wrote:
Sun Jun 10, 2018 7:06 pm
I forwardported python-gmenu from Jessie and cut out a few dependencies that aren't available in Stretch. The fixed version should be available in the MX 17 repo soon. However, this brings up the question of what version was already installed, since the MX 17 version was not installable until this fix.
The Debian screenlets package installed just fine.

I copied this from my MX Updater history:

Code: Select all

2018-05-28  18:10:42  install  screenlets                                 all    0.1.2-8.1                                  0.1.2-8.1
2018-05-28  18:10:41  install  python-wnck                                amd64  <none>                                     2.32.0+dfsg-3
2018-05-28  18:10:41  install  python-gnomekeyring                        amd64  <none>                                     2.32.0+dfsg-3
2018-05-28  18:10:40  install  python-gnome2                              amd64  <none>                                     2.28.1+dfsg-1.2
2018-05-28  18:10:39  install  python-pyorbit                             amd64  <none>                                     2.24.0-7.2
2018-05-28  18:10:39  install  python-gconf                               amd64  <none>                                     2.28.1+dfsg-1.2
2018-05-28  18:10:38  install  liborbit2                                  amd64  <none>                                     1:2.14.19-2+b1
2018-05-28  18:10:37  install  libidl-2-0                                 amd64  <none>                                     0.8.14-4
The problem was that Screenlets couldn't start. So I started the thread below which solved my problem (missing dependency). A required dependency was only marked as suggested so it didn't get installed automatically.
viewtopic.php?f=104&t=45307&p=448647#p448647

Re: Screenlets "ghost update"

Posted: Mon Jun 11, 2018 6:19 pm
by dreamer
This is the first time I installed Screenlets. My post above shows when the dependency got installed.

Code: Select all

2018-02-12  02:23:13  install  screenlets                                 all    <none>                                     0.1.2-8.1
2018-02-12  02:23:13  install  python-gnome2                              amd64  <none>                                     2.28.1+dfsg-1.2
2018-02-12  02:23:12  install  python-pyorbit                             amd64  <none>                                     2.24.0-7.2
2018-02-12  02:23:11  install  mate-screensaver                           amd64  <none>                                     1.16.1-1
2018-02-12  02:23:10  install  mate-screensaver-common                    all    <none>                                     1.16.1-1
2018-02-12  02:23:09  install  liborbit2                                  amd64  <none>                                     1:2.14.19-2+b1
2018-02-12  02:23:08  install  libidl-2-0                                 amd64  <none>                                     0.8.14-4

Re: [Solved] Screenlets "ghost update"

Posted: Wed Jun 13, 2018 1:35 pm
by dreamer
The "ghost update" has become a normal update. :happy: